/** Abstrakter Finite-Elemente-Operator fuer das Programmierpraktikum
 *  Numerische Mathematik (Prof. M. Rumpf) WS 2008/09
 *
 *  \file   FEOperator.h
 *  \author Stefan W. von Deylen, Benedict Geihe
 *  \date   01.10.2008, 18.01.2009
 *
 */

#ifndef __FEOPERATOR_H
#define __FEOPERATOR_H

#include "../triang/grid.h"


//! Klasse fuer abstrakten Finite-Elemente-Operator.
//! Template-Argument fuer Wertbereich.
//! Oberklasse Operator deklariert rein virtuelle Funktion
//! zum Anwenden des Operators.
template <typename RangeType>
class FEOperator
{
    public:
        explicit FEOperator( const Grid & grid );

    protected:
        const Grid & _grid;
};

#endif
