/** Lab exercise 7
 *
 *  \file   problem07.cpp
 *  \author Benedict Geihe, Behrend Heeren
 *  \date   15.01.2013
 *
 *
 * --------------------------------------------------------------------------------------------- */


#include <iostream>
#include <stdlib.h>

using namespace std;

#include "algorithms/gradientDescent.h"
#include "algorithms/derivativeChecker.h"
#include "vecmat/operator.h"


//!\todo write some simple energy
class TestEnergy : public Operator<Vector,double> {

public:
  TestEnergy(){}

 void applyAdd( const Vector& x, double& b, double lambda = 1.0 ) const {
   //!TODO 
 }
  
};

//!\todo write some simple gradient
class TestGradient : public Operator<Vector,Vector> {

public:
  TestGradient(){}

 void applyAdd( const Vector& x, Vector& b, double lambda = 1.0 ) const {
   //!TODO 
 }

};

    
//!
int main ( int /*argc*/, char * /*argv*/[] )
{
    
    TestEnergy energy;
    TestGradient gradient;

    //!TODO check energy and its derivative with derivative checker
    DerivativeChecker(energy, gradient);

    //!TODO apply gradient descent
    GradientDescent gradDescent( energy, gradient );



#if defined(__MINGW32_VERSION) || defined(_MSC_VER) || defined(__BCPLUSPLUS__)
    system("PAUSE");
#endif
    return 0;
}
