/** Abstrakter Operator fuer das Programmierpraktikum
 *  Numerical Algorithms (Prof. M. Rumpf) WS 2012/13
 *
 *  \file   operator.cpp
 *  \author Benedict Geihe
 *  \date   15.01.2013
 *
 */

#include "operator.h"

//! Konstruktor
template <typename DomainType, typename RangeType>
Operator<DomainType, RangeType>::Operator()
{ }

//! Destruktor
template <typename DomainType, typename RangeType>
Operator<DomainType, RangeType>::~Operator()
{ }

//! apply-Funktion, verwendet applyAdd
template <typename DomainType, typename RangeType>
void Operator<DomainType, RangeType>::apply( const DomainType& x, RangeType& b, double lambda ) const
{
    setZero( b );
    applyAdd( x, b, lambda);
}

template <typename DomainType, typename RangeType>
void Operator<DomainType, RangeType>::setZero( Vector & b ) const
{
    b.setZero();
}

template <typename DomainType, typename RangeType>
void Operator<DomainType, RangeType>::setZero( double & b ) const
{
    b = 0.;
}


template class Operator< Vector, double >;
template class Operator< Vector, Vector >;
