/** Abstrakter Operator fuer das Programmierpraktikum
 *  Numerical Algorithms(Prof. M. Rumpf) WS 2012/13
 *
 *  \file   operator.h
 *  \author Benedict Geihe
 *  \date   15.01.2013
 *
 */

#ifndef __OPERATOR_H
#define __OPERATOR_H

using namespace std;

#include "vector.h"

template<typename DomainType, typename RangeType>
class Operator
{
    public:
        Operator();
        virtual ~Operator();

                void apply   ( const DomainType& x, RangeType& b, double lambda = 1.0 ) const;
        virtual void applyAdd( const DomainType& x, RangeType& b, double lambda = 1.0 ) const = 0;

        void setZero( Vector & b       ) const;
        void setZero( double & b       ) const;
};

#endif
